Subject: RE: Use of option 61 in DHCP authentication

From: Nathan Lane <[email-masked]>
Date: Tue, 22 Aug 2000 15:54:27 -0500

[Barr Hibbs]
> if there is consensus that we need to improve the uniqueness of
> the client identifier to be more "universal" for authentication and other
> purposes, let's just tackle that issue directly.
> 
	While I see a need for a globally unique identifier, we need to be
careful with scoping conflicts with other protocols.  The current scope for
uniqueness on option 61 is "within the [undefined] administrative domain".
We would have to codify the scope and subject it interaction with other
administratively defined scopes.

	However, the authentication server's scope is likely to be larger
than the DHCP server's, at least in many implementations I know of.
Therefore, we would need to codify the scope and subject it to interaction.

	-Nathan

**********************************************************************
This email and any files transmitted with it are confidential
and intended solely for the individual or entity to 
whom they are addressed.  If you have received this email 
in error destroy it immediately.
**********************************************************************

---

From: "Barr Hibbs" <[email-masked]>
Date: Tue, 22 Aug 2000 14:31:37 -0700

> -----Original Message-----
> From:  Nathan Lane
> Sent: Tuesday, August 22, 2000 1:54 PM

> Therefore, we would need to codify the scope and subject it to

...Agreed.  I've just never been happy with the definition of option 61, so
finding an opportunity to revisit it seemed fine to me!

--Barr